Create Custom Entity Definition
curl --request POST \
--url https://integration.getmateo.com/api/v1/custom_entity_definition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"schema": {}
}
'import requests
url = "https://integration.getmateo.com/api/v1/custom_entity_definition"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"schema": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
key: '<string>',
name: '<string>',
schema: {}
})
};
fetch('https://integration.getmateo.com/api/v1/custom_entity_definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"schema": {}
}{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"schema": {}
}This response has no body data.Custom Entity Definition
Create Custom Entity Definition
Create a new custom entity definition
Create Custom Entity Definition
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
application/json
custom_entity_definition
Custom entity definition ID
Creation date
Latest update
Organisation ID
Unique key for the custom entity definition
Name of the custom entity definition
JSON Schema defining the custom entity data structure
Response
The updated Custom Entity Definition object
Custom entity definition ID
Creation date
Latest update
Organisation ID
Unique key for the custom entity definition
Name of the custom entity definition
JSON Schema defining the custom entity data structure
⌘I